Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
PUTTicket OperationsSince 3.0.0SynchronousAuth Required

UpdateIAM2TicketFlow

UpdateIAM2TicketFlow

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateiam2ticketflowObjectRequired

    updateiam2ticketflow request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • approverUuidString

      Optional.

    • approverTitleString

      Optional.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryTicketFlowInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • parentFlowUuidStringRequired

      No description provided.

    • flowContextStringRequired

      No description provided.

    • flowContextTypeStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • collectionUuidStringRequired

      采集UUID。

Endpoint

PUT/zstack/v1/tickets/flow/{uuid}/actions

/zstack/v1/tickets/flow/{uuid}/actions

Operation ID

UpdateIAM2TicketFlow

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/tickets/flow/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2ticketflow":{"name":"<name>","description":"<description>","approverUuid":"<approverUuid>","approverTitle":"<approverTitle>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "1dc3521c3ec74b81813121404e5941e6", "name": "flow1", "description": "flow description", "parentFlowUuid": "bb2897de253e497f94587fc09b5ef969", "flowContextType": "{\"approverUuid\":\"da8cc8c2412246b6b29b38328b7dab88\"}", "createDate": "Dec 28, 2018 6:39:33 PM", "lastOpDate": "Dec 28, 2018 6:39:33 PM", "collectionUuid": "2b9bdd8b1c1d4163864e55d16840954f" } }

Change History

This API has no change history records yet.

View all change history